package com.ibtp.kontor.library.dal;

import com.ibtp.kontor.dal.BaseImpl;
import com.ibtp.kontor.library.entity.BookEntity;

import java.util.Collection;
import java.util.List;

/**
 * Created by TPEETZ on 27.01.2015.
 */
public class BookImpl extends BaseImpl implements BookDao {

    @Override
    public BookEntity getById(Long id) {
        return null;
    }

    @Override
    public Collection<BookEntity> findByIds(List<Long> ids) {
        return null;
    }

    @Override
    public Collection<BookEntity> findByName(String name) {
        return null;
    }

    @Override
    public BookEntity store(BookEntity entity) {
        return null;
    }

    @Override
    public void delete(BookEntity entity) {

    }
}
